go-unifi

Reorder User-Defined Firewall Policies

Reorder user-defined firewall policies for a specific source/destination zone pair.

PUT
/v1/sites/{siteId}/firewall/policies/ordering

Reorder user-defined firewall policies for a specific source/destination zone pair.

X-Api-Key<token>

UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).

In: header

Path Parameters

siteId*string

Query Parameters

sourceFirewallZoneId*string
destinationFirewallZoneId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/firewall/policies/ordering?sourceFirewallZoneId=497f6eca-6276-4993-bfeb-53cbbbba6f08&destinationFirewallZoneId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "orderedFirewallPolicyIds": {      "beforeSystemDefined": [        "72c33bd6-cae5-43dc-be6c-2c74cbbc9ef5"      ],      "afterSystemDefined": [        "ae773fbb-9b37-4449-b303-02ad78b585ef"      ]    }  }'
{  "orderedFirewallPolicyIds": {    "beforeSystemDefined": [      "72c33bd6-cae5-43dc-be6c-2c74cbbc9ef5"    ],    "afterSystemDefined": [      "ae773fbb-9b37-4449-b303-02ad78b585ef"    ]  }}